Bug 523844 - Please update PyDev to 1.5.0 - major feature update!
Summary: Please update PyDev to 1.5.0 - major feature update!
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: eclipse-pydev
Version: 12
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Alexander Kurtakov
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 526688 528149
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-09-16 20:24 UTC by Jens Knutson
Modified: 2009-11-27 22:06 UTC (History)
6 users (show)

Fixed In Version: 1.5.0-1.fc12
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-11-27 22:06:25 UTC


Attachments (Terms of Use)

Description Jens Knutson 2009-09-16 20:24:44 UTC
Description of problem:
The formerly proprietary Pydev-extensions is now Open Source, and has been folded into Pydev itself.  This is a big feature upgrade, and would be great to see in Fedora 12 "out of the box".

Comment 1 Alexander Kurtakov 2009-09-17 05:36:43 UTC
(In reply to comment #0)
> Description of problem:
> The formerly proprietary Pydev-extensions is now Open Source, and has been
> folded into Pydev itself.  This is a big feature upgrade, and would be great to
> see in Fedora 12 "out of the box".  
There are a number of problems with this Pydev releases which are blocking the update:
1. It contains a private copy of piccolo2d http://code.google.com/p/piccolo2d/. Someone should modify it to use standalone piccolo2d as per Fedora policies.
2. Private copy of piccolo contains local modifications. Someone should find all the changes and submit them to upstream piccolo developers.

Comment 2 Alexander Kurtakov 2009-09-17 05:38:23 UTC
(In reply to comment #0)
> Description of problem:
> The formerly proprietary Pydev-extensions is now Open Source, and has been
> folded into Pydev itself.  This is a big feature upgrade, and would be great to
> see in Fedora 12 "out of the box".  
There are a number of problems with this Pydev releases which are blocking the update:
1. It contains a private copy of piccolo2d http://code.google.com/p/piccolo2d/. Someone should modify it to use standalone piccolo2d as per Fedora policies.
2. Private copy of piccolo contains local modifications. Someone should find all the changes and submit them to upstream piccolo developers.
3. This private copy uses sun.* packages which are present only in Sun's JVM so you even can't build it in Fedora.

Until this issues are resolved I don't see this update happening.
Any help is appreciated.

Comment 3 Fedora Update System 2009-11-06 19:47:02 UTC
eclipse-pydev-1.5.0-1.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/eclipse-pydev-1.5.0-1.fc12

Comment 4 Fedora Update System 2009-11-10 17:55:06 UTC
eclipse-pydev-1.5.0-1.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update eclipse-pydev'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F12/FEDORA-2009-11274

Comment 5 Bug Zapper 2009-11-16 12:31:23 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 12 development cycle.
Changing version to '12'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 6 Fedora Update System 2009-11-27 22:06:19 UTC
eclipse-pydev-1.5.0-1.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.